org.apache.ignite.lang

## Interface IgniteInClosure<E>

Type Parameters:
  `E` - Type of closure argument.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  CI1<T>

All Known Implementing Classes:
  BasicWarmupClosure, CIX1, GridCacheAdapter.UpdateGetTimeStatClosure, GridCacheAdapter.UpdatePutAndGetTimeStatClosure, GridCacheAdapter.UpdatePutTimeStatClosure, GridCacheAdapter.UpdateRemoveTimeStatClosure, GridCacheAdapter.UpdateTimeStatClosure, GridFutureChainListener, IgniteInClosureX

    public interface IgniteInClosure<E>
    extends Serializable

Closure with one in-parameter and void return type.

### Method Summary

Methods
`void` `apply(E e)` Closure body.

### Method Detail

#### apply

    void apply(E e)

Closure body.

Parameters:
  `e` - Closure argument.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015